# Installation

## Self-hosted PR-Agent
If you choose to host you own PR-Agent, you first need to acquire two tokens:

1. An OpenAI key from [here](https://platform.openai.com/api-keys), with access to GPT-4 (or a key for [other models](../usage-guide/additional_configurations.md/#changing-a-model), if you prefer).
2. A GitHub\GitLab\BitBucket personal access token (classic), with the repo scope. [GitHub from [here](https://github.com/settings/tokens)]

There are several ways to use self-hosted PR-Agent:

- [Locally](./locally.md)
- [GitHub](./github.md)
- [GitLab](./gitlab.md)
- [BitBucket](./bitbucket.md)
- [Azure DevOps](./azure.md)

## PR-Agent Pro 💎
PR-Agent Pro, an app hosted by CodiumAI for GitHub\GitLab\BitBucket, is also available. 
<br>
With PR-Agent Pro, installation is as simple as signing up and adding the PR-Agent app to your relevant repo. 
See [here](./pr_agent_pro.md) for more details.