[PR-Agent Pro](https://www.codium.ai/pricing/) is a hosted version of PR-Agent, provided by CodiumAI. It is available for a monthly fee, and provides the following benefits:

1. **Fully managed** - We take care of everything for you - hosting, models, regular updates, and more. Installation is as simple as signing up and adding the PR-Agent app to your GitHub\GitLab\BitBucket repo.

2. **Improved privacy** - No data will be stored or used to train models. PR-Agent Pro will employ zero data retention, and will use an OpenAI account with zero data retention.

3. **Improved support** - PR-Agent Pro users will receive priority support, and will be able to request new features and capabilities.

4. **Additional tools**
     - [**Custom Prompt Suggestions**](./tools/custom_prompt.md/)
     - [**Tests**](./tools/test.md/)
     - [**PR documentation**](./tools/documentation.md/)
     - [**Improve Component**](https://pr-agent-docs.codium.ai/tools/improve_component/)
     - [**Similar code search**](https://pr-agent-docs.codium.ai/tools/similar_code/)
     - [**CI feedback**](./tools/ci_feedback.md/)
     - [**Analyze PR components**](./tools/analyze.md/)


5. **Additional features**
     - [**Global and wiki configuration**](./usage-guide/configuration_options.md/#wiki-configuration-file)
     - [**Interactive triggering**](./usage-guide/automations_and_usage.md/#interactive-triggering)
     - [**Apply suggestions**](https://pr-agent-docs.codium.ai/tools/improve/#example-usage)
     - [**Advanced usage statistics**](https://www.codium.ai/contact/#/)
     - [**Incorporating companies' best practices**](https://pr-agent-docs.codium.ai/tools/improve/#best-practices)
     - [**SOC2 compliance check**](./tools/review.md/#soc2-ticket-compliance)
     - [**Custom labels**](./tools/describe.md/#handle-custom-labels-from-the-repos-labels-page)
     - [**Inline file summary**](https://pr-agent-docs.codium.ai/tools/describe/#inline-file-summary)
     - More ...

6. **Supporting self-hosted git servers** - PR-Agent Pro can be installed on GitHub Enterprise Server, GitLab, and BitBucket. For more information, see the [installation guide](https://pr-agent-docs.codium.ai/installation/pr_agent_pro/).